searchData={"items":[{"type":"module","title":"Spreadsheet","doc":"Parse Spreadsheet files using Rustler and [Calamine](https://docs.rs/calamine/latest/calamine/).\n\nFile formats supported are .xls, .xla, .xlsx, .xlsm, .xlam, xlsb and .ods.","ref":"Spreadsheet.html"},{"type":"module","title":"Usage - Spreadsheet","doc":"To retrieve sheet names:\n\n```elixir\niex> Spreadsheet.sheet_names(\"test_file_1.xlsx\")\n\n{:ok, [\"sheet1\"]}\n```\n\nOr from a binary:\n\n```elixir\niex> Spreadsheet.sheet_names_from_bianry(File.read!(\"test_file_1.xlsx\"))\n\n{:ok, [\"sheet1\"]}\n```\n\nTo retrieve rows:\n\n```elixir\niex> Spreadsheet.parse(\"test_file_1.xlsx\")\n\n{:ok, [[\"row1col1\", \"row1col2\"], [\"row2col1\", \"row2col2\"]]}\n```\n\nOr from a binary:\n\n```elixir\niex> Spreadsheet.parse(File.read!(\"test_file_1.xlsx\"))\n\n{:ok, [[\"row1col1\", \"row1col2\"], [\"row2col1\", \"row2col2\"]]}\n```\n\n\nNote that all dates will be retrieved as NaiveDateTime, and all numbers as Float.\n\nFor further documentation on how rows gets parsed, view the Calamine documentation: \n\nhttps://docs.rs/calamine/latest/calamine/","ref":"Spreadsheet.html#module-usage"},{"type":"function","title":"Spreadsheet.parse/2","doc":"","ref":"Spreadsheet.html#parse/2"},{"type":"function","title":"Spreadsheet.parse_from_binary/2","doc":"","ref":"Spreadsheet.html#parse_from_binary/2"},{"type":"function","title":"Spreadsheet.sheet_names/1","doc":"Returns a list of sheet names.","ref":"Spreadsheet.html#sheet_names/1"},{"type":"function","title":"Spreadsheet.sheet_names_from_binary/1","doc":"Returns a list of sheet names.","ref":"Spreadsheet.html#sheet_names_from_binary/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}